package com.ruoyi.system.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户档案对象 t_user_profile
 * 
 * @author zhengjie
 * @date 2023-08-25
 */
public class TUserProfile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer gender;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String sfzid;

    /** 电话1 */
    @Excel(name = "电话1")
    private String telOne;

    /** 电话2 */
    @Excel(name = "电话2")
    private String telTwo;

    /** 电话3 */
    @Excel(name = "电话3")
    private String telThree;

    /** 出生年月 */
    @Excel(name = "出生年月")
    private String birthday;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 结婚状态 */
    @Excel(name = "结婚状态")
    private Integer marrStatus;

    /** 民族 */
    @Excel(name = "民族",comboDictType = "sys_national")
    private Integer national;

    /** 当地户口 */
    @Excel(name = "当地户口")
    private Integer local;

    /** 客户类别 */
    @Excel(name = "客户类别")
    private Integer clientType;

    /** 居住情况 */
    @Excel(name = "居住情况")
    private Integer liveStatus;

    /** 家庭地址 */
    @Excel(name = "家庭地址")
    private String familyAddress;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 户籍地址 */
    @Excel(name = "户籍地址")
    private String houseAddress;

    /** 户籍详细地址 */
    @Excel(name = "户籍详细地址")
    private String houseDetailAddress;

    /** 所属服务机构 */
    @Excel(name = "所属服务机构")
    private Integer serviceid;

    /** 老人身体特征和状态 */
    @Excel(name = "老人身体特征和状态")
    private String oldmenStatus;

    /** 主要改造内容字段 */
    @Excel(name = "主要改造内容字段")
    private String changeContent;

    /** 失能月数 */
    @Excel(name = "失能月数")
    private String loseMonth;

    /** 治疗月数 */
    @Excel(name = "治疗月数")
    private String treatMonth;

    /** 是否通过康复治疗 */
    @Excel(name = "是否通过康复治疗")
    private Integer isTreat;

    /** 服务状态 */
    @Excel(name = "服务状态")
    private Integer serviceType;

    /** 医疗保障 */
    @Excel(name = "医疗保障")
    private Integer treateSure;

    /** 经济来源 */
    @Excel(name = "经济来源")
    private Integer moneyCome;

    /** 月收入 */
    @Excel(name = "月收入")
    private String moneyMonth;

    /** 社保卡号 */
    @Excel(name = "社保卡号")
    private String cardCode;

    /** 慢性疾病 */
    @Excel(name = "慢性疾病")
    private String slowIllness;

    /** 血型 */
    @Excel(name = "血型")
    private Integer bloodType;

    /** 失能状态 */
    @Excel(name = "失能状态")
    private Integer shiStatus;

    /** 残疾情况 */
    @Excel(name = "残疾情况")
    private Integer disablityStatus;

    /** 残疾登记 */
    @Excel(name = "残疾登记")
    private Integer disablityEntry;

    /** 文化程度 */
    @Excel(name = "文化程度")
    private Integer educaLevel;

    /** 专业 */
    @Excel(name = "专业")
    private String special;

    /** 职称 */
    @Excel(name = "职称")
    private String title;

    /** 原单位 */
    @Excel(name = "原单位")
    private String unity;

    /** 性格心理 */
    @Excel(name = "性格心理")
    private String natureHeart;

    /** 饮食特点 */
    @Excel(name = "饮食特点")
    private String eatPoint;

    /** 特长 */
    @Excel(name = "特长")
    private String speciality;

    /** 爱好 */
    @Excel(name = "爱好")
    private String hobby;

    /** 照片 */
    @Excel(name = "照片")
    private String photo;

    /** 其他照片 */
    @Excel(name = "其他照片")
    private String otherPhoto;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 紧急联系人信息 */
    private List<TEmergentPeople> tEmergentPeopleList;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGender(Integer gender) 
    {
        this.gender = gender;
    }

    public Integer getGender() 
    {
        return gender;
    }
    public void setSfzid(String sfzid) 
    {
        this.sfzid = sfzid;
    }

    public String getSfzid() 
    {
        return sfzid;
    }
    public void setTelOne(String telOne) 
    {
        this.telOne = telOne;
    }

    public String getTelOne() 
    {
        return telOne;
    }
    public void setTelTwo(String telTwo) 
    {
        this.telTwo = telTwo;
    }

    public String getTelTwo() 
    {
        return telTwo;
    }
    public void setTelThree(String telThree) 
    {
        this.telThree = telThree;
    }

    public String getTelThree() 
    {
        return telThree;
    }
    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getBirthday() 
    {
        return birthday;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setMarrStatus(Integer marrStatus) 
    {
        this.marrStatus = marrStatus;
    }

    public Integer getMarrStatus() 
    {
        return marrStatus;
    }
    public void setNational(Integer national) 
    {
        this.national = national;
    }

    public Integer getNational() 
    {
        return national;
    }
    public void setLocal(Integer local) 
    {
        this.local = local;
    }

    public Integer getLocal() 
    {
        return local;
    }
    public void setClientType(Integer clientType) 
    {
        this.clientType = clientType;
    }

    public Integer getClientType() 
    {
        return clientType;
    }
    public void setLiveStatus(Integer liveStatus) 
    {
        this.liveStatus = liveStatus;
    }

    public Integer getLiveStatus() 
    {
        return liveStatus;
    }
    public void setFamilyAddress(String familyAddress) 
    {
        this.familyAddress = familyAddress;
    }

    public String getFamilyAddress() 
    {
        return familyAddress;
    }
    public void setDetailAddress(String detailAddress) 
    {
        this.detailAddress = detailAddress;
    }

    public String getDetailAddress() 
    {
        return detailAddress;
    }
    public void setHouseAddress(String houseAddress) 
    {
        this.houseAddress = houseAddress;
    }

    public String getHouseAddress() 
    {
        return houseAddress;
    }
    public void setHouseDetailAddress(String houseDetailAddress) 
    {
        this.houseDetailAddress = houseDetailAddress;
    }

    public String getHouseDetailAddress() 
    {
        return houseDetailAddress;
    }
    public void setServiceid(Integer serviceid) 
    {
        this.serviceid = serviceid;
    }

    public Integer getServiceid() 
    {
        return serviceid;
    }
    public void setOldmenStatus(String oldmenStatus) 
    {
        this.oldmenStatus = oldmenStatus;
    }

    public String getOldmenStatus() 
    {
        return oldmenStatus;
    }
    public void setChangeContent(String changeContent) 
    {
        this.changeContent = changeContent;
    }

    public String getChangeContent() 
    {
        return changeContent;
    }
    public void setLoseMonth(String loseMonth) 
    {
        this.loseMonth = loseMonth;
    }

    public String getLoseMonth() 
    {
        return loseMonth;
    }
    public void setTreatMonth(String treatMonth) 
    {
        this.treatMonth = treatMonth;
    }

    public String getTreatMonth() 
    {
        return treatMonth;
    }
    public void setIsTreat(Integer isTreat) 
    {
        this.isTreat = isTreat;
    }

    public Integer getIsTreat() 
    {
        return isTreat;
    }
    public void setServiceType(Integer serviceType) 
    {
        this.serviceType = serviceType;
    }

    public Integer getServiceType() 
    {
        return serviceType;
    }
    public void setTreateSure(Integer treateSure) 
    {
        this.treateSure = treateSure;
    }

    public Integer getTreateSure() 
    {
        return treateSure;
    }
    public void setMoneyCome(Integer moneyCome) 
    {
        this.moneyCome = moneyCome;
    }

    public Integer getMoneyCome() 
    {
        return moneyCome;
    }
    public void setMoneyMonth(String moneyMonth) 
    {
        this.moneyMonth = moneyMonth;
    }

    public String getMoneyMonth() 
    {
        return moneyMonth;
    }
    public void setCardCode(String cardCode) 
    {
        this.cardCode = cardCode;
    }

    public String getCardCode() 
    {
        return cardCode;
    }
    public void setSlowIllness(String slowIllness) 
    {
        this.slowIllness = slowIllness;
    }

    public String getSlowIllness() 
    {
        return slowIllness;
    }
    public void setBloodType(Integer bloodType) 
    {
        this.bloodType = bloodType;
    }

    public Integer getBloodType() 
    {
        return bloodType;
    }
    public void setShiStatus(Integer shiStatus) 
    {
        this.shiStatus = shiStatus;
    }

    public Integer getShiStatus() 
    {
        return shiStatus;
    }
    public void setDisablityStatus(Integer disablityStatus) 
    {
        this.disablityStatus = disablityStatus;
    }

    public Integer getDisablityStatus() 
    {
        return disablityStatus;
    }
    public void setDisablityEntry(Integer disablityEntry) 
    {
        this.disablityEntry = disablityEntry;
    }

    public Integer getDisablityEntry() 
    {
        return disablityEntry;
    }
    public void setEducaLevel(Integer educaLevel) 
    {
        this.educaLevel = educaLevel;
    }

    public Integer getEducaLevel() 
    {
        return educaLevel;
    }
    public void setSpecial(String special) 
    {
        this.special = special;
    }

    public String getSpecial() 
    {
        return special;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setUnity(String unity) 
    {
        this.unity = unity;
    }

    public String getUnity() 
    {
        return unity;
    }
    public void setNatureHeart(String natureHeart) 
    {
        this.natureHeart = natureHeart;
    }

    public String getNatureHeart() 
    {
        return natureHeart;
    }
    public void setEatPoint(String eatPoint) 
    {
        this.eatPoint = eatPoint;
    }

    public String getEatPoint() 
    {
        return eatPoint;
    }
    public void setSpeciality(String speciality) 
    {
        this.speciality = speciality;
    }

    public String getSpeciality() 
    {
        return speciality;
    }
    public void setHobby(String hobby) 
    {
        this.hobby = hobby;
    }

    public String getHobby() 
    {
        return hobby;
    }
    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }
    public void setOtherPhoto(String otherPhoto) 
    {
        this.otherPhoto = otherPhoto;
    }

    public String getOtherPhoto() 
    {
        return otherPhoto;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public List<TEmergentPeople> getTEmergentPeopleList()
    {
        return tEmergentPeopleList;
    }

    public void setTEmergentPeopleList(List<TEmergentPeople> tEmergentPeopleList)
    {
        this.tEmergentPeopleList = tEmergentPeopleList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("gender", getGender())
            .append("sfzid", getSfzid())
            .append("telOne", getTelOne())
            .append("telTwo", getTelTwo())
            .append("telThree", getTelThree())
            .append("birthday", getBirthday())
            .append("age", getAge())
            .append("marrStatus", getMarrStatus())
            .append("national", getNational())
            .append("local", getLocal())
            .append("clientType", getClientType())
            .append("liveStatus", getLiveStatus())
            .append("familyAddress", getFamilyAddress())
            .append("detailAddress", getDetailAddress())
            .append("houseAddress", getHouseAddress())
            .append("houseDetailAddress", getHouseDetailAddress())
            .append("serviceid", getServiceid())
            .append("oldmenStatus", getOldmenStatus())
            .append("changeContent", getChangeContent())
            .append("loseMonth", getLoseMonth())
            .append("treatMonth", getTreatMonth())
            .append("isTreat", getIsTreat())
            .append("serviceType", getServiceType())
            .append("treateSure", getTreateSure())
            .append("moneyCome", getMoneyCome())
            .append("moneyMonth", getMoneyMonth())
            .append("cardCode", getCardCode())
            .append("slowIllness", getSlowIllness())
            .append("bloodType", getBloodType())
            .append("shiStatus", getShiStatus())
            .append("disablityStatus", getDisablityStatus())
            .append("disablityEntry", getDisablityEntry())
            .append("educaLevel", getEducaLevel())
            .append("special", getSpecial())
            .append("title", getTitle())
            .append("unity", getUnity())
            .append("natureHeart", getNatureHeart())
            .append("eatPoint", getEatPoint())
            .append("speciality", getSpeciality())
            .append("hobby", getHobby())
            .append("photo", getPhoto())
            .append("otherPhoto", getOtherPhoto())
            .append("remarks", getRemarks())
            .append("createTime", getCreateTime())
            .append("tEmergentPeopleList", getTEmergentPeopleList())
            .toString();
    }
}
